## python-qt4 4.8.3

=== debian/changelog ===
python-qt4 (4.8.3-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Update from Ubuntu changes:
   - Bump Qt build-depends version to 4:4.7.0, add build-depends on
     libqtwebkit-dev, and add QtDeclarative.so to python-qt.install for Qt 4.7
     compatibility
   - Remove obsolete dpatch artifacts from debian/patches/
     fix_the_QAssitant_ftbfs.diff
   - Add kubuntu_01_fix_uiparser_buttonbox.diff as fix_uiparser_buttonbox.diff
     - Fix AttributeError in ui/uiparser.py (Upstream 4.8.4-278054fd857c)
  * Add qt-assistant-compat to build-depends to build QtAssistant bindings
    with Qt 4.7
  * Bump standards version to 3.9.1 without further change

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 17 Mar 2011 18:43:11 -0400

python-qt4 (4.8.3-1) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * New upstream release
  * debian/control
    - Bump build dependency on sip to 4.12.1
  * debian/rules
    - Add "--verbose" to common configure options
  * debian/patches/fix_qthelp_ftbfs.diff
    - Add patch to fix FTBFS with ld --no-add-needed (closes: #614974)
  * debian/patches/debian_configure_changes.diff
    - Adapt to new upstream version

  [ Piotr Ożarowski ]
  * Rebuild against new python-sip version closes: #615163
  * Add fix_the_QAssitant_ftbfs patch (thanks to PICCA Frédéric-Emmanuel)
  * Add libjs-jquery to python-qt4-doc's Depends and replace jquery files with
    symlinks.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Mar 2011 22:22:33 +0100
