=== debian/control ===
Source: python-qt4
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7), python-all-dev, libqt4-dev (>= 4:4.7.0), libqtwebkit-dev, libqtassistantclient-dev, python-sip-dev (>= 4.12.1), python-support (>= 0.7.1), python-dbus (>= 0.80.0), python-dbus-dbg, libdbus-1-dev (>= 1.0.2), python-all-dbg, python-sip-dbg, libqt4-opengl-dev, libphonon-dev (>= 4:4.2.0-2)
Build-Conflicts: python-xml, python-xml-dbg
Standards-Version: 3.9.1
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt4/trunk/

Package: python-qt4
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sip:Depends}
Suggests: python-qt4-dbg
Replaces: python-qt4-dev (<< 4.4.4-3~), python-qt4-common
Conflicts: python-qt4-common
Description: Python bindings for Qt4
 PyQt4 exposes the Qt4 API to Python. The following modules are supported:
  * QtCore
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python-qt4-gl)
  * QtSql (in python-qt4-sql)
  * phonon (in python-qt4-phonon)

Package: python-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-qt4 (= ${binary:Version}), python-dbg, python-sip-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-phonon
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, python-qt4 (= ${binary:Version}), ${misc:Depends}
Suggests: python-phonon-dbg
Description: Python bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.

Package: python-qt4-phonon-dbg
Priority: extra
Section: debug
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, python-dbg, python-qt4-phonon (= ${binary:Version}),  python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.
 . 
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-dbus
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dbus (>= 0.80.0)
Description: DBus Support for PyQt4
 The DBus module of PyQt4 provides integration of PyQt4 applications
 with the DBus main loop.

Package: python-qt4-dbus-dbg
Architecture: any
Priority: extra
Section: debug
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, python-dbg, python-qt4-dbus (= ${binary:Version}), python-dbus-dbg, ${misc:Depends}
Description: DBus Support for PyQt4 (debug extensions)
 The DBus module of PyQt4 provides integration of PyQt4 applications
 with the DBus main loop.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-gl
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-qt4 (= ${binary:Version}), python-opengl (>= 2.0.1.09-2.2)
Description: Python bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.

Package: python-qt4-gl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-qt4-gl (= ${binary:Version}), python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-qt4-sql
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-qt4 (= ${binary:Version})
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for 
 SQL database access.

Package: python-qt4-sql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-qt4-sql (= ${binary:Version}), python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for 
 SQL database access.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-qt4-dev
Architecture: all
Depends: ${python:Depends}, python-sip-dev, ${misc:Depends}
Replaces: python-qt4 (<< 4.3)
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python 
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python-qt4-doc
Architecture: all
Section: doc
Suggests: qt4-doc
Depends: ${misc:Depends}, libjs-jquery
Description: Documentation and examples for PyQt4
 PyQt4 exposes the Qt4 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt4 and
 the Qt example programs ported to Python.

Package: pyqt4-dev-tools
Depends: ${shlibs:Depends}, python, python-qt4 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Development tools for PyQt4
 This package contains various support tools for PyQt4 developers:
  * a user interface compiler (pyuic4)
  * a resource file generator (pyrcc4)
  * a translation string finder (pylupdate)
