## python-qt4 4.8.5

=== debian/changelog ===
python-qt4 (4.8.5-0ubuntu2) oneiric; urgency=low

  * Update install path in debian/python-qt4.install for multiarch
    (LP: #829165)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Aug 2011 13:54:51 -0400

python-qt4 (4.8.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop debian/patches/fix_uiparser_buttonbox.diff (was from upstream)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 11 Aug 2011 13:26:34 -0400

python-qt4 (4.8.3-4) unstable; urgency=medium

  * Team upload
  * Extend/fix python-qt4 Breaks: for dh_python2 switch (Thanks to Jakub Wilk
    for the script that detected the problem)
  * Medium urgency to minimize impact on python-dbus transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 07 Aug 2011 20:57:47 -0400

python-qt4 (4.8.3-3) unstable; urgency=low

  * Team upload
  * Switch to dh_python2  (Closes: #634860)
  * Wrap and sort build-depends and depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 16 Jul 2011 20:42:15 +0200
