## python-qt4 4.8.6

=== debian/changelog ===
python-qt4 (4.8.6-2) unstable; urgency=low

  * Team upload
  * Update Breaks for pykde4, python-qscintilla2, and pyqwt5 since they need
    rebuilds with the new upstream version (Closes: #647210)
  * Bump standards version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 02 Nov 2011 16:40:56 -1000

python-qt4 (4.8.6-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Drop debian/patches/fix_uiparser_buttonbox.diff (was from upstream)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Oct 2011 13:20:14 -0400
