=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Bernd Zeimetz <bzed@debian.org>
@@ -20,7 +19,7 @@
                python-sip-dbg,
                python-sip-dev (>= 4.12.1)
 Build-Conflicts: python-xml, python-xml-dbg
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
@@ -33,10 +32,10 @@
 Suggests: python-qt4-dbg
 Replaces: python-qt4-common, python-qt4-dev (<< 4.4.4-3~)
 Conflicts: python-qt4-common
-Breaks: python-qscintilla2 (<< 2.4.3-3),
-        python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-6),
+Breaks: python-qscintilla2 (<= 2.5.1-1),
+        python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
-        python-kde4 (<< 4:4.6.80-1),
+        python-kde4 (<= 4:4.6.80-3+b1),
         python-qt4-dbg (<< 4.8.3-3),
         python-qt4-gl (<< 4.8.3-3),
         python-qt4-sql-dbg (<< 4.8.3-3),
