=== debian/rules ===
--- 
+++ 
@@ -188,7 +188,7 @@
 		ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	done
 endif
-	dh_pysupport
+	dh_python2
 	dh_fixperms
 	dh_compress -X.py -X.bmp -X.ui -X.sql -X.xml
 	dh_installdeb
