## python-qt4 4.9

=== debian/changelog ===
python-qt4 (4.9-3) experimental; urgency=low

  [ Scott Kitterman ]
  * Add myself to uploaders
  * Add missing build-depends on python-dbus-dev, qtmobility-dev and
    libicu-dev
  * Feedback changes from Ubuntu
  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use dh_sip3 for generating SIP depends instead of hard coded version now
    that dh_sip3 is available
    - Add dh_sip3 in debian/rules
  * Build python3-dbus.mainloop.qt/-dbg packages now that python3 port of
    dbus-python is availalble
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python-pyqt4-dbus-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

  [ Barry Warsaw ]
  * Port dbus/dbus.cpp to work with Python3 as well and add as
    debian/patches/py3-fixes.patch

  [ Jonathan Riddell ]
  * Add kubuntu_arm_fix.diff to fix qpainterpath.sip use of 'double'
    which causes ARM to fail to build with Qt 4.8

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 Jan 2012 12:15:01 -0500

python-qt4 (4.9-2) unstable; urgency=low

  * Team upload
  * Do not ship python uic in python3-pyqt4 (ship only the python3 port)
    (Closes: #653567)
  * Manually add python3-sip (>= 4.13.1~) to python3-pyqt4 depends to work
    around the lack of a working dh_sip3

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Dec 2011 11:10:35 -0500

python-qt4 (4.9-1) unstable; urgency=low

  * Team upload

  [ Scott Kitterman ]
  * New upstream release (Closes: #653293)
    - Adds QtDbus module support (in python-qt4 - the existing python-qt4-dbus
      is still provided for python)
    - Add relevant QtDbus.so to python-qt4.install and python3-pyqt4.install
    - Update relevant package descriptionts to mention QtDBus
    - Bump minimum python-sip-dev and python3-sip-dev version required to
      4.13.1
    - Add Breaks for python[3]-sip4 (<< 4.13.1~)
    - Refreshed patches
  * Build for python3 (Closes: #558389) (LP: #400826)
    - Add python3-all-dev/dbg and python3-sip-dev/dbg to build-depends
    - Add python3-qt4-* packages
    - Add X-Python-Version to debian/rules
    - Adjust debian/rules and add install-arch-3.%: rule
    - Add .install files for new packages
    - Adjust .install files for python packages to install python2* and not
      python* files to avoid python3 files
  * Use --no-dbg-cleaning for dh_python2 and dh_python3
  * Fix debian/rules to remove empty directories
  * Drop obsolete Conflicts/Replaces
  * Update debian/copyright

  [ Felix Geyer ]
  * Add build-arch/build-indep targets.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Dec 2011 14:04:51 -0500
