=== debian/control ===
--- 
+++ 
@@ -4,20 +4,30 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
-           Bernd Zeimetz <bzed@debian.org>
+           Bernd Zeimetz <bzed@debian.org>,
+           Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 7),
+               libicu-dev,
                libdbus-1-dev (>= 1.0.2),
                libphonon-dev (>= 4:4.2.0-2),
-               libqt4-dev (>= 4:4.7.0),
+               libqt4-dev (>= 4:4.8.0-1~),
                libqt4-opengl-dev,
                libqtassistantclient-dev,
                libqtwebkit-dev,
+               qtmobility-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
+               python3-all-dbg,
+               python3-all-dev,
+               python-dbus-dev,
                python-dbus (>= 0.84.0-2),
                python-dbus-dbg,
+               python3-dbus,
+               python3-dbus-dbg,
                python-sip-dbg,
-               python-sip-dev (>= 4.12.1)
+               python-sip-dev (>= 4.13.1),
+               python3-sip-dbg,
+               python3-sip-dev (>= 4.13.1-3~)
 Build-Conflicts: python-xml, python-xml-dbg
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
@@ -30,8 +40,7 @@
 Provides: ${python:Provides}
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, ${sip:Depends}
 Suggests: python-qt4-dbg
-Replaces: python-qt4-common, python-qt4-dev (<< 4.4.4-3~)
-Conflicts: python-qt4-common
+Replaces: python-qt4-dev (<< 4.4.4-3~)
 Breaks: python-qscintilla2 (<= 2.5.1-1),
         python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-6),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-7),
@@ -42,10 +51,12 @@
         python-qt4-sql (<< 4.8.3-3),
         python-qt4-phonon-dbg (<< 4.8.3-3),
         python-qt4-gl-dbg (<< 4.8.3-3),
-        python-qt4-phonon (<< 4.8.3-3)
+        python-qt4-phonon (<< 4.8.3-3),
+        python-sip4 (<< 4.13.1~)
 Description: Python bindings for Qt4
  PyQt4 exposes the Qt4 API to Python. The following modules are supported:
   * QtCore
+  * QtDBus
   * QtGui
   * QtNetwork
   * QtXml
@@ -58,6 +69,27 @@
   * QtSql (in python-qt4-sql)
   * phonon (in python-qt4-phonon)
 
+Package: python3-pyqt4
+Architecture: any
+Provides: ${python3:Provides}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, ${sip3:Depends}
+Suggests: python3-pyqt4-dbg
+Breaks: python3-sip (<< 4.13.1~)
+Description: Python3 bindings for Qt4
+ PyQt4 exposes the Qt4 API to Python3. The following modules are supported:
+  * QtCore
+  * QtDBus
+  * QtGui
+  * QtNetwork
+  * QtXml
+  * QtScript
+  * QtSvg
+  * QtTest
+  * QtAssistant
+  * QtWebKit
+  * QtSql (in python3-pyqt4.qtsql)
+  * phonon (in python3-pyqt4.phonon)
+
 Package: python-qt4-dbg
 Priority: extra
 Section: debug
@@ -71,6 +103,20 @@
  PyQt4 exposes the Qt4 API to Python.
  .
  This package contains the extensions built for the Python debug interpreter.
+
+Package: python3-pyqt4-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt4 (= ${binary:Version}),
+         python3-sip-dbg,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python3 bindings for Qt4 (debug extensions)
+ PyQt4 exposes the Qt4 API to Python3.
+ .
+ This package contains the extensions built for the Python3 debug interpreter.
 
 Package: python-qt4-phonon
 Architecture: any
@@ -84,6 +130,18 @@
  The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
  to Python.
 
+Package: python3-pyqt4.phonon
+Architecture: any
+Provides: ${python3:Provides}
+Depends: python3-pyqt4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Suggests: python3-phonon-dbg
+Description: Python3 bindings for Phonon
+ The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
+ to Python3.
+
 Package: python-qt4-phonon-dbg
 Priority: extra
 Section: debug
@@ -100,6 +158,22 @@
  .
  This package contains the extensions built for the Python debug interpreter.
 
+Package: python3-pyqt4.phonon-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Provides: ${python3:Provides}
+Depends: python3-dbg,
+         python3-pyqt4-dbg (= ${binary:Version}),
+         python3-pyqt4.phonon (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python3 bindings for Phonon (debug extensions)
+ The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
+ to Python3.
+ .
+ This package contains the extensions built for the Python3 debug interpreter.
+
 Package: python-qt4-dbus
 Architecture: any
 Provides: ${python:Provides}
@@ -127,6 +201,33 @@
  .
  This package contains the extensions built for the Python debug interpreter.
 
+Package: python3-dbus.mainloop.qt
+Architecture: any
+Provides: ${python3:Provides}
+Depends: python3-dbus,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: DBus Support for PyQt4 with Python 3
+ The DBus module of PyQt4 provides integration of PyQt4 applications
+ with the DBus main loop for Python 3
+
+Package: python3-dbus.mainloop.qt-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Provides: ${python3:Provides}
+Depends: python3-dbg,
+         python3-dbus-dbg,
+         python3-dbus.mainloop.qt (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: DBus Support for PyQt4 (debug extensions for Python 3)
+ The DBus module of PyQt4 provides integration of PyQt4 applications
+ with the DBus main loop for Python 3
+ .
+ This package contains the extensions built for the Python debug interpreter.
+
 Package: python-qt4-gl
 Architecture: any
 Provides: ${python:Provides}
@@ -154,6 +255,32 @@
  .
  This package contains the extension built for the Python debug interpreter.
 
+#Package: python3-pyqt4.gtopengl
+#Architecture: any
+#Depends: python3-pyqt4 (= ${binary:Version}),
+#        python3-opengl,
+#         ${misc:Depends},
+#         ${python3:Depends},
+#         ${shlibs:Depends}
+#Description: Python 3 bindings for Qt4's OpenGL module
+# The OpenGL module of PyQt4 provides widgets and utility classes
+# for OpenGL rendering in a Python3 PyQt4 application.
+
+#Package: python3-pyqt4.gtopengl-dbg
+#Priority: extra
+#Section: debug
+#Architecture: any
+#Depends: python3-dbg,
+#         python3-pyqt4-dbg (= ${binary:Version}),
+#         python3-pyqt4.gtopengl (= ${binary:Version}),
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: Python 3 bindings for Qt4's OpenGL module (debug extension)
+# The OpenGL module of PyQt4 provides widgets and utility classes
+# for OpenGL rendering in a Python3 PyQt4 application.
+# .
+# This package contains the extension built for the Python 3 debug interpreter.
+
 Package: python-qt4-sql
 Architecture: any
 Provides: ${python:Provides}
@@ -165,6 +292,17 @@
  The SQL module of PyQt4 provides widgets and utility classes for
  SQL database access.
 
+Package: python3-pyqt4.qtsql
+Architecture: any
+Provides: ${python3:Provides}
+Depends: python3-pyqt4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python3 bindings for PyQt4's SQL module
+ The SQL module of PyQt4 provides widgets and utility classes for
+ Python3 SQL database access.
+
 Package: python-qt4-sql-dbg
 Priority: extra
 Section: debug
@@ -180,10 +318,24 @@
  .
  This package contains the extension built for the Python debug interpreter.
 
+Package: python3-pyqt4.qtsql-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-dbg,
+         python3-pyqt4-dbg (= ${binary:Version}),
+         python3-pyqt4.qtsql (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Python3 bindings for PyQt4's SQL module (debug extension)
+ The SQL module of PyQt4 provides widgets and utility classes for
+ Python3 SQL database access.
+ .
+ This package contains the extension built for the Python3 debug interpreter.
+
 Package: python-qt4-dev
 Architecture: all
 Depends: python-sip-dev, ${misc:Depends}, ${python:Depends}
-Replaces: python-qt4 (<< 4.3)
 Description: Development files for PyQt4
  This package contains the source SIP files from which the Python
  bindings for Qt4 are created. They are needed for building PyQt4
