=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 endif
 
 py_dbusmoddir = $(shell python$(1) -c 'import dbus.mainloop; print dbus.mainloop.__path__[0]')
+py3_dbusmoddir = $(shell python3 -c 'import dbus.mainloop; print(dbus.mainloop.__path__[0])')
 
 export QMAKESPEC=linux-g++
 
@@ -36,7 +37,7 @@
 endif
 endif
 
-PYTHONS := $(shell pyversions -vr)
+PYTHONS := $(shell pyversions -vr) $(shell  py3versions -vd)
 
 DEFAULT_PYTHON := $(shell pyversions -vd)
 
@@ -59,6 +60,7 @@
 	cd build-$* && python$* ../configure.py $(SHARED_CONFIGURE_OPTIONS) \
 			-m /usr/lib/python$*/config \
 			-d /usr/lib/python$*/$(call py_sitename, $*) \
+			--dbus /usr/include/dbus-1.0 \
 			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-designer-plugin) 
 	touch $@
 
@@ -73,7 +75,9 @@
 	touch $@
 
 
-build: $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
+build: build-arch build-indep
+build-arch: $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
+build-indep: build-$(DEFAULT_PYTHON)/build-stamp
 
 build-%/build-stamp: build-%/configure-stamp
 	dh_testdir
@@ -85,7 +89,7 @@
 	$(MAKE) -C dbg-build-$*
 	touch $@
 
-install-indep: build-$(DEFAULT_PYTHON)/build-stamp
+install-indep: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep -i
@@ -94,13 +98,14 @@
 	dh_installexamples -i
 	$(CURDIR)/build-$(DEFAULT_PYTHON)/pyrcc/pyrcc4 -o $(CURDIR)/debian/python-qt4-doc/usr/share/doc/python-qt4-doc/examples/demos/qtdemo/qtdemo_rc.py $(CURDIR)/examples/demos/qtdemo/qtdemo.qrc 
 
-install-arch: build
+install-arch: build-arch
 	dh_testdir
 	dh_testroot
 	dh_prep -a
 	dh_installdirs -a
 	sed -i -e '/strip/ d' $(CURDIR)/build-$(DEFAULT_PYTHON)/designer/Makefile
 	rm -f $(CURDIR)/debian/python-qt4-dbus.install
+	rm -f $(CURDIR)/debian/python3-dbus.mainloop.qt.install
 	# This is needed to enforce that the install-arch-% rules are
 	# not run in parallel. Both rules install into the same directory,
 	# and therefore might try to access the same files at the same time.
@@ -117,7 +122,7 @@
 		mv $$i $$(dirname $$i)/$${b}_d.so; \
 	done
 
-	find debian/python-*-dbg ! -type d \
+	find debian/python*-dbg ! -type d \
 		! \( -name '*.so' -o -name '*config_d.py' \) | xargs rm -f
 	find debian/python-*-dbg -depth -type d -empty -exec rmdir {} \;
 
@@ -126,6 +131,36 @@
 	# probably like ipython handles it.
 	cp debian/pyuic4 debian/pyqt4-dev-tools/usr/bin/pyuic4
 
+d3_qt4_dbg = debian/python3-dbus.mainloop.qt-dbg
+
+install-arch-3.%:
+	$(MAKE) -C build-3.$* install \
+		INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
+
+	$(MAKE) -C dbg-build-3.$* install DESTDIR=$(CURDIR)/$(d3_qt4_dbg)
+
+	# Don't initiate the uic/widget-plugins
+	touch $(CURDIR)/debian/tmp/usr/lib/python3.$*/dist-packages/PyQt4/uic/widget-plugins/.noinit
+
+	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig.py \
+		$(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/pyqtconfig_d.py
+	mkdir -p debian/python3-pyqt4-gl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/QtOpenGL.so \
+		debian/python3-pyqt4-gl-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+	mkdir -p debian/python3-pyqt4.qtsql-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/QtSql.so \
+		debian/python3-pyqt4.qtsql-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+	mkdir -p debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+	mv $(d3_qt4_dbg)/usr/lib/python3.$*/dist-packages/PyQt4/phonon.so \
+		debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
+
+	if [ -e $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so ]; then \
+		mkdir -p debian/python3-pyqt4-dbus-dbg/$(call py3_dbusmoddir,$*);\
+		mv $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so \
+			debian/python3-pyqt4-dbus-dbg$(call py3_dbusmoddir,$*);\
+		echo '$(call py3_dbusmoddir,$*)/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
+	fi
+
 d_qt4_dbg = debian/python-qt4-dbg
 
 install-arch-%:
@@ -133,9 +168,6 @@
 		INSTALL_ROOT=$(CURDIR)/debian/tmp DESTDIR=$(CURDIR)/debian/tmp
 
 	$(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/$(d_qt4_dbg)
-
-	# remove the Python 3 port for now
-	rm -r $(CURDIR)/debian/tmp/usr/lib/python$*/$(call py_sitename,$*)/PyQt4/uic/port_v3
 
 	# Don't initiate the uic/widget-plugins
 	touch $(CURDIR)/debian/tmp/usr/lib/python$*/$(call py_sitename,$*)/PyQt4/uic/widget-plugins/.noinit
@@ -178,34 +210,22 @@
 	dh_installdocs -A NEWS THANKS
 	dh_link
 	dh_sip
+	dh_sip3
 ifeq (,$(findstring -i, $(DH_OPTIONS)))
 	DH_OPTIONS= dh_strip -ppyqt4-dev-tools
 	set -e; \
-	for p in python-qt4 python-qt4-dbus python-qt4-gl python-qt4-sql python-qt4-phonon ; do \
+	for p in python-qt4 python3-pyqt4 \
+		python-qt4-dbus python3-dbus.mainloop.qt \
+		python-qt4-gl \
+		python-qt4-sql python3-pyqt4.qtsql \
+		python-qt4-phonon python3-pyqt4.phonon \
+		; do \
 		DH_OPTIONS= dh_strip -p$$p --dbg-package=$$p-dbg; \
 		rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 		mkdir -p debian/$$p-dbg/usr/share/doc; \
 		ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 	done
 endif
-	dh_python2
-	dh_fixperms
-	dh_compress -X.py -X.bmp -X.ui -X.sql -X.xml
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb -- -Z bzip2
-
-# Build architecture independant packages using the common target.
-binary-indep: install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
-
-
-binary: binary-arch binary-indep
-
-.PHONY: build clean binary-indep binary-arch binary configure
+	dh_python2 --no-dbg-cleaning
+	dh_python3 --no-dbg-cleaning
+	rm -rf $(CURDIR)/debian/python-qt4-dbus/usr/share/pyshared
