## python-qt4 4.9.1

=== debian/changelog ===
python-qt4 (4.9.1-2ubuntu1) precise-proposed; urgency=low

  * Fix dbus related PyQt application crashes (LP: #334757)
    - Add debian/patches/dbus.patch from upstream

 -- Scott Kitterman <scott@kitterman.com>  Sat, 14 Apr 2012 16:12:34 -0400

python-qt4 (4.9.1-2) experimental; urgency=low

  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use python3-dbus.mainloop.qt/dbg binary names instead of
    python3-pyqt4-dbus since that matches Python policy, last experimental
    upload was in error
    - Remove duplicate files from the new dbus packages in debian/rules
  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:33:50 -0500

python-qt4 (4.9.1-1) unstable; urgency=low

  * Drop experimental options (multiarch qt4-x11 path and python3-pyqt4-dbus)
    for upload to unstable
  * New upstream release
    - Drop debian/patches/py3-fixes.patch, upstream fixed the problem in a
      slightly different way
    - Drop debian/patches/kubuntu_arm_fix.diff, fixed upstream
  * Install NEWS file as upstream changelog since that is what it is
  * Rebuild sphinx based html docs from rst files
    - Add python-sphinx (>= 1.0.7+dfsg-1~) to build-depends
    - Add sphinxdoc:Depends to python-qt4-doc depends
    - Add call to sphinx-build and dh_sphinxdoc for arch all packages
  * Drop build-depends on qtmobility-dev, pointless right now since the build
    system can not find its headers

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Feb 2012 11:27:51 -0500
