=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Bernd Zeimetz <bzed@debian.org>,
@@ -14,20 +15,20 @@
                libqt4-opengl-dev,
                libqtassistantclient-dev,
                libqtwebkit-dev,
-               qtmobility-dev,
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
                python3-all-dbg,
                python3-all-dev,
-               python-dbus-dev,
                python-dbus (>= 0.84.0-2),
                python-dbus-dbg,
                python3-dbus,
                python3-dbus-dbg,
+               python-dbus-dev,
                python-sip-dbg,
                python-sip-dev (>= 4.13.1),
                python3-sip-dbg,
-               python3-sip-dev (>= 4.13.1-3~)
+               python3-sip-dev (>= 4.13.1-3~),
+               python-sphinx (>= 1.0.7+dfsg-1~)
 Build-Conflicts: python-xml, python-xml-dbg
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
@@ -345,7 +346,7 @@
 Architecture: all
 Section: doc
 Suggests: qt4-doc
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Documentation and examples for PyQt4
  PyQt4 exposes the Qt4 GUI toolkit in Python.
  .
