=== debian/rules ===
--- 
+++ 
@@ -131,7 +131,7 @@
 	# probably like ipython handles it.
 	cp debian/pyuic4 debian/pyqt4-dev-tools/usr/bin/pyuic4
 
-d3_qt4_dbg = debian/python3-dbus.mainloop.qt-dbg
+d3_qt4_dbg = debian/python3-dbus.mainloop.qt
 
 install-arch-3.%:
 	$(MAKE) -C build-3.$* install \
@@ -155,9 +155,9 @@
 		debian/python3-pyqt4.phonon-dbg/usr/lib/python3.$*/dist-packages/PyQt4
 
 	if [ -e $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so ]; then \
-		mkdir -p debian/python3-pyqt4-dbus-dbg/$(call py3_dbusmoddir,$*);\
+		mkdir -p debian/python3-dbus.mainloop.qt-dbg/$(call py3_dbusmoddir,$*);\
 		mv $(d3_qt4_dbg)$(call py3_dbusmoddir,$*)/qt.so \
-			debian/python3-pyqt4-dbus-dbg$(call py3_dbusmoddir,$*);\
+			debian/python3-dbus.mainloop.qt-dbg$(call py3_dbusmoddir,$*);\
 		echo '$(call py3_dbusmoddir,$*)/*' >> $(CURDIR)/debian/python3-dbus.mainloop.qt.install;\
 	fi
 
@@ -206,8 +206,13 @@
 	dh_testdir
 	dh_testroot
 	dh_installman
-	dh_installchangelogs
-	dh_installdocs -A NEWS THANKS
+	dh_installchangelogs NEWS
+	dh_installdocs -A THANKS
+ifeq (,$(findstring -a, $(DH_OPTIONS)))
+	sphinx-build $(CURDIR)/doc/sphinx \
+	$(CURDIR)/debian/python-qt4-doc/usr/share/doc/python-qt4-doc/html
+	dh_sphinxdoc
+endif
 	dh_link
 	dh_sip
 	dh_sip3
@@ -224,8 +229,3 @@
 		rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
 		mkdir -p debian/$$p-dbg/usr/share/doc; \
 		ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
-	done
-endif
-	dh_python2 --no-dbg-cleaning
-	dh_python3 --no-dbg-cleaning
-	rm -rf $(CURDIR)/debian/python-qt4-dbus/usr/share/pyshared
